Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001379I6 LibraryGeneralpublic2014-07-30 23:562015-05-10 17:46
ReporterDavidG 
Assigned ToDavidG 
PriorityhighSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6/12 
Target Version6/12Fixed in Version6/12 
Summary0001379: PUT ALL IN X broken
DescriptionPUT ALL IN X and DROP ALL IN X are broken such that programming errors and a complaint of "I didn't understand that sentence." are printed.
Minimal Source Text To Reproduce
!% -D
Constant Story "shell";
Constant Headline "^";

Include "Parser";
Include "Verblib";

Object shell "Generic Room"
with	description
	"Notable only for its sheer unremarkability.",
has	light;

Object -> gold_key "gold key"
with	name "gold" "key" "keys//p";

Object -> silver_key "silver key"
with	name "silver" "key" "keys//p";

Object -> lamp "lamp"
	with name 'lamp';

Object -> box "box"
with	name "box",
has	container open;

[ Initialise;
  location = shell;
  no_implicit_actions = false;
];

Include "Grammar";
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003025)
DavidG (developer)
2014-08-03 22:55
edited on: 2014-08-03 23:00

Problem appears at https://github.com/DavidGriffith/inform6lib/commit/c3a20b956bacaa5678ceb18993a9ac537053fba6 [^]

Side effect of the fix for http://inform7.com/mantis/view.php?id=977 [^]

(0003026)
DavidG (developer)
2014-08-03 23:07

Fixed: https://github.com/DavidGriffith/inform6lib/commit/1855ab765116fa2632bf25ebe411e074db434058 [^]
(0003536)
jmcgrew (administrator)
2015-05-10 17:46

Closing all resolved issues from 2014 and earlier.

- Issue History
Date Modified Username Field Change
2014-07-30 23:56 DavidG New Issue
2014-07-30 23:56 DavidG Status new => assigned
2014-07-30 23:56 DavidG Assigned To => DavidG
2014-08-03 22:55 DavidG Note Added: 0003025
2014-08-03 23:00 DavidG Note Edited: 0003025 View Revisions
2014-08-03 23:07 DavidG Note Added: 0003026
2014-08-03 23:07 DavidG Status assigned => resolved
2014-08-03 23:07 DavidG Fixed in Version => 6/12
2014-08-03 23:07 DavidG Resolution open => fixed
2015-05-10 17:46 jmcgrew Note Added: 0003536
2015-05-10 17:46 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker